// StaticVideoWnd.cpp : implementation file
//

#include "stdafx.h"
#include "NetPlayX.h"
#include "StaticVideoWnd.h"
#include "lauplaym4.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStaticVideoWnd

CStaticVideoWnd::CStaticVideoWnd()
{
	m_bkcolor    = RGB(0,0,0);
	m_pchhanle   = NULL;
}

CStaticVideoWnd::~CStaticVideoWnd()
{
}


BEGIN_MESSAGE_MAP(CStaticVideoWnd, CStatic)
	//{{AFX_MSG_MAP(CStaticVideoWnd)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStaticVideoWnd message handlers

void CStaticVideoWnd::OnPaint() 
{
	CPaintDC dc(this); // device context for painting


//	else
	{
		RECT Rect;
		CBrush tempBrush(m_bkcolor);
		GetClientRect(&Rect);
		CBrush *oldBrush = dc.SelectObject(&tempBrush);
		dc.Rectangle(&Rect);
		dc.SelectObject(oldBrush);
	}
	if(m_pchhanle && *m_pchhanle != NULL)
	{
		LCPLAYM4_RefreshDisplay(*m_pchhanle);
	}
}
